<?php

$html = '';
if (!$model->isICloudImported()) {
    $html .= '<div
                class=" input-append date dateTimePicker"
                id="datetimepicker" 
                data-date-formatType = "php"
                data-date="-30y""
            >';
    $html .= $form->label($model, 'contact_bday', array('label' => '<i class="icon-gift icon-fixed-width"></i>'));
    $html .= $form->textField($model, 'contact_bday', array(
        'size' => 60,
        'maxlength' => 256,
        'readonly' => 'readonly',
        'disabled' => 'disabled',
        'data-placeholder' => $model->getAttributeLabel('contact_bday'),
        'data-translation-id' => 'ADDRESSESS_MODEL_CONTACT_BDAY',
    ));
    $html .= '<span class="add-on"><i class="icon-th"></i></span>';
    $html .= '</div>';
} else {
    $html .= $form->label($model, 'contact_bday', array('label' => '<i class="icon-gift icon-fixed-width"></i>'));
    $html .= CHtml::textField('Addresses_contact_bday', '', array(
                'size' => 60,
                'maxlength' => 256,
                'readonly' => 'readonly',
                'disabled' => 'disabled',
                'data-placeholder' => $model->getAttributeLabel('contact_bday'),
                'data-translation-id' => 'ADDRESSESS_MODEL_CONTACT_BDAY',
    ));
}

echo $html;
